createhomedir(1)

NAME
createhomedir - create and populate home directories on the local computer.

SYNOPSIS
createhomedir [-scbalh] [-n directoryDomainName] [-u username]

DESCRIPTION
createhomedir provides several options for creating and populating home directories.

OPTIONS

-s  creates home directories for server home paths only (default).

-c  creates home directories for local home paths only.

-b  creates home directories for both server and local home paths.

-a  creates home directories for users defined in all directory domains of the server's search path.

-l  creates home directories for users defined in the local directory domain.

-n directoryDomainName
    creates home directories for users defined in a specific directory domain in the server's search path.

-u username
    creates a home directory for a specific user defined in the domain(s) identified in the -a, -l, or -n parameter. If you omit the -a, -l, and -n parameters when you use the -u parameter, -a is assumed.

-i  reads username list from standard input and creates specified home directories. Each username should be on its own line.

-h  usage help.

FILES
/usr/sbin/createhomedir
    location of tool

CAVEATS
When using the -a option, search limits of various directory servers (such as Open Directory or Active Directory) can prevent all possible home directories from being created. In this case, you may need to specify the usernames explicitly.